Bug 150287 - system freeze after some idle time
system freeze after some idle time
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 05:05 EST by jan p. springer
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-02 19:58:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jan p. springer 2005-03-04 05:05:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
system freeze after some idle time. last log messages are always:

kernel: hdc: irq timeout: status=0xd0 { Busy }
kernel: hdc: irq timeout: error=0x00 { }
kernel: hdc: DMA disabled
kernel: hdc: ATAPI reset timed-out, status=0x80
kernel: ide1: reset timed-out, status=0x80
kernel: hdc: status timeout: status=0x80 { Busy }
kernel: hdc: status timeout: error=0x01 { IllegalLengthIndication }
kernel: hdc: drive not ready for command
kernel: hdc: ATAPI reset timed-out, status=0x80


Version-Release number of selected component (if applicable):
kernel-2.6.10-1*

How reproducible:
Always

Steps to Reproduce:
1. start system
2. let it idle for some hours
    

Actual Results:  system freeze

Expected Results:  running system

Additional info:
Comment 1 Dave Jones 2005-07-15 14:36:09 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 jan p. springer 2005-07-19 14:17:21 EDT
yes, i've switched to fc4 (and changed the version flag as requested). kernel is
2.6.12-1.1398_FC4. after one day of idling the laptop suddenly stopped
responding. last entries from syslog were:
kernel: hdc: irq timeout: status=0xd0 { Busy }
kernel: ide: failed opcode was: unknown
kernel: hdc: DMA disabled
kernel: hdc: ATAPI reset timed-out, status=0x80
kernel: ide1: reset timed-out, status=0x80
kernel: hdc: status timeout: status=0x80 { Busy }
kernel: ide: failed opcode was: unknown
kernel: hdc: drive not ready for command
kernel: hdc: ATAPI reset timed-out, status=0x80
kernel: ide1: reset timed-out, status=0x80
kernel: cdrom: This disc doesn't have any tracks I recognize!
Comment 3 jan p. springer 2005-09-12 06:33:36 EDT
system running stable for more than two days. kernel is 2.6.12-1.1450_FC4. i
would assume the bug being fixed.
Comment 4 jan p. springer 2005-09-13 06:50:49 EDT
sorry, i've made the last comment to early :(
the machine's still locking up (but the intervalls seem to increase):

kernel: hdc: irq timeout: status=0xd0 { Busy }
kernel: ide: failed opcode was: unknown
kernel: hdc: DMA disabled
kernel: hdc: ATAPI reset timed-out, status=0x80
kernel: ide1: reset timed-out, status=0x80
kernel: hdc: status timeout: status=0x80 { Busy }
kernel: ide: failed opcode was: unknown
kernel: hdc: drive not ready for command
kernel: hdc: ATAPI reset timed-out, status=0x80
kernel: ide1: reset timed-out, status=0x80
kernel: cdrom: This disc doesn't have any tracks I recognize!
Comment 5 Dave Jones 2005-09-30 02:53:32 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 6 jan p. springer 2005-10-03 17:45:20 EDT
unfortunenately the bug's still there. after two days of idling i've logged in
locally and after some (~ 10min.) time the system froze. /var/log/messages follows:

Oct  2 21:50:10 <host> kernel: hdc: irq timeout: status=0xd0 { Busy }
Oct  2 21:50:10 <host> kernel: ide: failed opcode was: unknown
Oct  2 21:50:10 <host> kernel: hdc: DMA disabled
Oct  2 21:50:40 <host> kernel: hdc: ATAPI reset timed-out, status=0x80
Oct  2 21:51:15 <host> kernel: ide1: reset timed-out, status=0x80
Oct  2 21:51:15 <host> kernel: hdc: status timeout: status=0x80 { Busy }
Oct  2 21:51:15 <host> kernel: ide: failed opcode was: unknown
Oct  2 21:51:15 <host> kernel: hdc: drive not ready for command
Oct  2 21:51:45 <host> kernel: hdc: ATAPI reset timed-out, status=0x80
Oct  2 21:52:15 <host> kernel: ide1: reset timed-out, status=0x80

    j.
Comment 7 Dave Jones 2005-11-10 15:00:25 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 8 jan p. springer 2005-11-11 11:38:22 EST
unfortunately the freeze still persits with 2.6.14-1.1637_FC4.
error messages are the same as before.
Comment 9 jan p. springer 2006-01-31 16:14:07 EST
i've removed the cdrom drive from the machine in question and do not see any
system freezes. so i guess i've to get a new cdrom drive :(
i'm just wondering if this kind of problem could be handled by the kernel more
gracefully.

i think the case can be closed now. thanks for your help.
Comment 10 Dave Jones 2006-02-02 19:58:49 EST
There's only so much we can do with faulty hardware.

Have you tried using a different cable on that device ?
If that's the problem part, it could be cheaper than replacing the whole drive :)
Comment 11 jan p. springer 2006-02-03 04:46:29 EST
unfortunately it's a laptop cd-rom to be plugged into a costum slot. so no cable
problem. thanks anyway for th hint

Note You need to log in before you can comment on or make changes to this bug.